classification
Title: SRE: (?flag:...) is not supported
Type: enhancement Stage: resolved
Components: Regular Expressions Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: 22364 Superseder:
Assigned To: serhiy.storchaka Nosy List: effbot, ezio.melotti, mrabarnett, python-dev, serhiy.storchaka, timehorse
Priority: normal Keywords: patch

Created on 2001-06-14 08:28 by effbot, last changed 2016-09-11 08:06 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
re_scoped_flags.diff serhiy.storchaka, 2015-03-02 08:04 review
re_scoped_flags_2.patch serhiy.storchaka, 2015-03-25 20:54 review
re_scoped_flags_3.patch serhiy.storchaka, 2016-09-07 14:54 review
Messages (8)
msg53162 - (view) Author: Fredrik Lundh (effbot) * (Python committer) Date: 2001-06-14 08:28
from the jeffrey friedl report:

(?flag:...) and (?-flag:...) are not supported.
They'd be nice.
msg73687 - (view) Author: Matthew Barnett (mrabarnett) * Date: 2008-09-24 00:39
Implemented in #3825.
msg230849 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-11-08 12:19
I agree that they'd be nice. The regex module is too advanced and need much work and some transitional period for including in the stdlib, but this feature can be implemented right now.
msg237026 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-03-02 08:04
Here is preliminary patch.
msg239281 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-03-25 20:53
Updated to the tip.

Could anyone please help with documentation?
msg274817 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-09-07 14:54
Fixed generating info for fast search for groups with local flags and added some documentation (would appreciate for improving it).
msg275467 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-09 22:15
New changeset ce5a834978ac by Serhiy Storchaka in branch 'default':
Issue #433028: Added support of modifier spans in regular expressions.
https://hg.python.org/cpython/rev/ce5a834978ac
msg275742 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-09-11 08:06
There was one bug (issue28070), it is now fixed.
History
Date User Action Args
2016-09-11 08:06:42serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg275742

stage: patch review -> resolved
2016-09-09 22:15:12python-devsetnosy: + python-dev
messages: + msg275467
2016-09-07 14:54:40serhiy.storchakasetpriority: low -> normal
files: + re_scoped_flags_3.patch
messages: + msg274817

versions: + Python 3.6, - Python 3.5
2015-03-25 20:54:17serhiy.storchakasetfiles: + re_scoped_flags_2.patch
2015-03-25 20:53:55serhiy.storchakasetmessages: + msg239281
2015-03-02 08:04:39serhiy.storchakasetdependencies: + Improve some re error messages using regex for hints
2015-03-02 08:04:09serhiy.storchakasetfiles: + re_scoped_flags.diff
keywords: + patch
messages: + msg237026

stage: needs patch -> patch review
2015-03-02 07:49:06ezio.melottisetnosy: + ezio.melotti
2015-02-19 08:30:18serhiy.storchakasetstatus: closed -> open
2014-11-08 12:19:22serhiy.storchakasetassignee: effbot -> serhiy.storchaka
superseder: Major reworking of Python 2.5.2 re module ->
versions: + Python 3.5
nosy: + serhiy.storchaka

messages: + msg230849
resolution: duplicate -> (no value)
stage: needs patch
2009-06-04 10:00:11georg.brandlsetstatus: open -> closed
resolution: duplicate
superseder: Major reworking of Python 2.5.2 re module
2008-09-24 11:28:50timehorsesetnosy: + timehorse
2008-09-24 00:39:25mrabarnettsetnosy: + mrabarnett
messages: + msg73687
2001-06-14 08:28:31effbotcreate